<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetImeLearnedRoutesReq StructType
 * @subpackage Structs
 */
class GetImeLearnedRoutesReq extends APIRequest
{
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - choice: uuid | e164Did
     * - choiceMaxOccurs: 1
     * - choiceMinOccurs: 1
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * The e164Did
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - choice: uuid | e164Did
     * - choiceMaxOccurs: 1
     * - choiceMinOccurs: 1
     * - maxLength: 32
     * @var string
     */
    public $e164Did;
    /**
     * The returnedTags
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\RImeLearnedRoutes
     */
    public $returnedTags;
    /**
     * Constructor method for GetImeLearnedRoutesReq
     * @uses GetImeLearnedRoutesReq::setUuid()
     * @uses GetImeLearnedRoutesReq::setE164Did()
     * @uses GetImeLearnedRoutesReq::setReturnedTags()
     * @param string $uuid
     * @param string $e164Did
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\RImeLearnedRoutes $returnedTags
     */
    public function __construct($uuid = null, $e164Did = null, \\Losc\CucmBundle\Model\Webservice\StructType\RImeLearnedRoutes $returnedTags = null)
    {
        $this
            ->setUuid($uuid)
            ->setE164Did($e164Did)
            ->setReturnedTags($returnedTags);
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return isset($this->uuid) ? $this->uuid : null;
    }
    /**
     * Set uuid value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetImeLearnedRoutesReq
     */
    public function setUuid($uuid = null)
    {
        if (is_null($uuid) || (is_array($uuid) && empty($uuid))) {
            unset($this->uuid);
        } else {
            $this->uuid = $uuid;
        }
        return $this;
    }
    /**
     * Get e164Did value
     * @return string|null
     */
    public function getE164Did()
    {
        return isset($this->e164Did) ? $this->e164Did : null;
    }
    /**
     * Set e164Did value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @param string $e164Did
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetImeLearnedRoutesReq
     */
    public function setE164Did($e164Did = null)
    {
        if (is_null($e164Did) || (is_array($e164Did) && empty($e164Did))) {
            unset($this->e164Did);
        } else {
            $this->e164Did = $e164Did;
        }
        return $this;
    }
    /**
     * Get returnedTags value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RImeLearnedRoutes|null
     */
    public function getReturnedTags()
    {
        return $this->returnedTags;
    }
    /**
     * Set returnedTags value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\RImeLearnedRoutes $returnedTags
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetImeLearnedRoutesReq
     */
    public function setReturnedTags(\\Losc\CucmBundle\Model\Webservice\StructType\RImeLearnedRoutes $returnedTags = null)
    {
        $this->returnedTags = $returnedTags;
        return $this;
    }
}
